﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr228_1
{
    // Класс с главным методом:
    class Program
    {
        // Метод для решения уравнения: 
        static double solve(double A, double B) {
            // Если значение параметра A отлично от нуля: 
            if(A != 0) return B/A;
            // Текстовая переменная: 
            string msg;
            // Если параметр B имеет нулевое значение: 
            if(B == 0) msg = "Peшение - любое число";
            // Если значение параметра B отлично от нуля: 
            else msg = "Решений нет";
            // Генерируется исключение: 
            throw new ArithmeticException(msg);
        }
        
        // Главный метод:
        static void Main()
        {
            // Числовые переменные: 
            double A, B, x;
            Console.WriteLine("Решение уравнения Ax = B");
            // Контролируемый код:
            try
            {
                Console.Write("Парметр A = ");
                // Считывается значение параметра A: 
                A = Double.Parse(Console.ReadLine());
                Console.Write("Парметр B = ");
                // Считывается значение параметра B: 
                B = Double.Parse(Console.ReadLine());
                // Вычисление решения: 
                x = solve(A, B);
                // Отображение решения: 
                Console.WriteLine("Решение x = {0}", x);
            }
            // Обработка исключения: 
            catch (Exception e)
            {
                // Отображение описания исключения:
                Console.WriteLine(e.Message);
            }
            // Задержка:
            Console.ReadLine();
        }
    }
}
